#!/usr/bin/env python3
import fileinput
from collections import Counter


def main():
    ids = set(map(str.strip, fileinput.input()))

    for i in range(len(ids)):
        sliced = [boxid[:i] + boxid[i+1:] for boxid in ids]
        if len(set(sliced)) == len(ids):
            continue
        return next(k for k, v in Counter(sliced).items() if v > 1)


if __name__ == '__main__':
    print(main())
